# Bash - Server Management Scripts


## Version
Repo version: 1.1.0


## Description
Various scripts to help with management of servers. Most centered around data backups and related maintenance.

Project located at  # https://git.brandon-rodriguez.com/scripts/bash/server_management


## Provided Scripts

### General
Various general scripts.

#### Update Permissions
Updates permissions such that "user" and "group" owners are able to access, and "other" uses cannot access.

Takes in exactly one arg, consisting of the path to either a file or directory to adjust permissions of.


### Backups
Various scripts related to backing up + maintenance of databases or files.

#### Backup Mysql
Backs up provided database to a file, with a consistent naming scheme.

#### Backup GitLab
Backs up local GitLab server instance to tar file, with a consistent naming scheme.

#### Clear Backups
Clears out any files in directory that match backup naming scheme.

Note that files are cleared out dynamically, based on date.

#### Generate Test Backup Files
Generates a whole set of empty testing files which match the backup naming scheme.

Used in testing the "clear backups" script.


## References
See `documents/references.md`.
